[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# subtract(Tmatrix2_double,Double):Tmatrix2_double

Subtract scalar to two-dimensional double precision matrix

## Declaration

Source position: matrix.pp line 594

`operator operator -(`
`const m: Tmatrix2_double;`
`const x: Double`
`):Tmatrix2_double;`

## Description

This operator allows you to subtract a scalar value from a matrix. The scalar is subtracted from all elements of the matrix, the result is returned as a new matrix.